---
title: Translation Bot
---

Translation Bot (hereinafter the "Application") is a multi-platform application that allows quick and seamless translation of user messages.

## 1. User Documentation

This section is for those interacting with a live instance of the application.

### 1.1. Discord Integration

The Application is available as a user-installable Discord integration. Once installed, it becomes available for you to use in any server.

:::tip
The command names and descriptions should all be localised to the language you have your Discord client set to.
:::

All interactions with this Application are "ephemeral", meaning that only you will see the result. This leaves you free to use the Application in whatever way you need without disrupting your colleagues.

[Install the Discord integration](https://discord.com/oauth2/authorize?client_id=1293778694292115457)

#### 1.1.1. Setting Your Language

![A Discord slash command, called language, with a single language parameter](/images/translation-bot/discord-lang.png)

The `/language` command allows you to configure your target language. The language you set here will be the language messages are translated into.

![A Discord ephemeral response, with the text "Your language has been set to en."](/images/translation-bot/discord-lang-success.png)

#### 1.1.2. Translating Messages

![A Discord message context menu, with the translate command highlighted](/images/translation-bot/discord-trans.png)

To translate a message, right click on the message to open the context menu. Select the `translate` command, and the bot will translate the message you selected.

![A Discord ephemeral response, with the text "Detected pt with 100 confidence. :O"](/images/translation-bot/discord-trans-success.png)

### 1.2. Slack Integration

The Application is available as a workspace-level Slack integration. Once installed, it becomes available for anyone to use in the workspace.

All interactions with this Application are "ephemeral", meaning that only you will see the result. This leaves you free to use the Application in whatever way you need without disrupting your colleagues.

[Install the Slack integration](https://trans-slack.nhcarrigan.com/slack/install)

#### 1.2.1. Setting Your Language

![A Slash slash command, called lang, with a single ISO code parameter](/images/translation-bot/slack-lang.png)

The `/lang` command allows you to configure your target language. The language you set here will be the language messages are translated into.

![A Slack ephemeral response, with the text "Your language has been set to en."](/images/translation-bot/slack-lang-success.png)

#### 1.1.2. Translating Messages

![A Slack message context menu, with "More message actions" expanded, and the translate command highlighted](/images/translation-bot/slack-trans.png)

To translate a message, right click on the message to open the context menu. Select `More message actions`, then the `translate` command, and the bot will translate the message you selected.

![A Slack ephemeral response, with the text "Detected id with 45 confidence. Home"](/images/translation-bot/slack-trans-success.png)

### 1.3. Language Codes

The commands to toggle your language require a two-character language code. You may refer to the table below to identify the code for your language.

:::note
The list of languages we support is determined by the languages supported on each platform AND the languages supported by our translation service.
:::

| Language              | Code |
| --------------------- | ---- |
| English               | "en" |
| Bulgarian             | "bg" |
| Czech                 | "cs" |
| Danish                | "da" |
| German                | "de" |
| Greek                 | "el" |
| Spanish               | "es" |
| Finnish               | "fi" |
| French                | "fr" |
| Hindi                 | "hi" |
| Hungarian             | "hu" |
| Italian               | "it" |
| Japanese              | "ja" |
| Korean                | "ko" |
| Lithuanian            | "lt" |
| Dutch                 | "nl" |
| Norwegian             | "no" |
| Polish                | "pl" |
| Portuguese            | "pt" |
| Romanian              | "ro" |
| Russian               | "ru" |
| Swedish               | "sv" |
| Thai                  | "th" |
| Turkish               | "tr" |
| Ukrainian             | "uk" |
| Chinese (Simplified)  | "zh" |
| Chinese (Traditional) | "zt" |

## 2. Technical Documentation

:::note
This section is coming soon!
:::

This section is for those interested in running their own instance of the Application.

## 3. Legal Documentation

This section is for expansions to our legal policies specific to the Application.

### 3.1. Data Collection

The only Data the Application collects and stores is a map of your unique identifier (UUID) for each platform and the target language you have selected for the platform.

Message data and contents are NEVER stored by our application.
